/*! \namespace Threading
\brief Multithreading classes.
\author <B>Marc Parizeau</B>, <BR>Laboratoire de vision et syst&egrave;mes num&eacute;riques, <BR>Universit&eacute; Laval

This namespace contains various cross-platform classes related to thread management: a thread object, a mutual exclusion (mutex) object, a condition object, and a counting semaphore object.
*/

#ifndef Threading_Threading_hpp
#define Threading_Threading_hpp

#include "Threading/Thread.hpp"
#include "Threading/Mutex.hpp"
#include "Threading/Condition.hpp"
#include "Threading/Semaphore.hpp"

#endif // Threading_Threading_hpp
